### Hierarchy

- Sandbox

## Index

### Methods

- on
- restore

## Methods

### on

- on(object: Object, methodNames: string | string[], fn?: undefined | function): any

- - Defined in node_modules/@types/chai-spies/index.d.ts:77

  #### chai.spy.on (function)

  Wraps an object method into spy. All calls will pass through to the original function.

  #### Parameters

  - ##### object: Object

  - ##### methodNames: string | string[]

    names to spy on

  - ##### Optional fn: undefined | function

    replacement function

  #### Returns any

  function to actually call

### restore

- restore(object?: Object, methodNames?: string | string[]): void

- - Defined in node_modules/@types/chai-spies/index.d.ts:90

  #### chai.spy.restore (function)

  Restores previously wrapped object's method. Restores all spied objects of a sandbox if called without parameters.

  function

  #### Parameters

  - ##### Optional object: Object

  - ##### Optional methodNames: string | string[]

  #### Returns void

  Sandbox instance

Generated using TypeDoc